For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify

Validate And Verify Service Connector Config

post

Verifies if a service connector configuration has access to resources.

This requires the service connector implementation to be installed on the ZenML server, otherwise a 501 Not Implemented error will be returned.

Args: connector: The service connector configuration to verify. list_resources: If True, the list of all resources accessible through the service connector is returned.

Returns: The list of resources that the service connector configuration has access to.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
list_resourcesbooleanOptionalDefault: true
Body

Request model for service connectors.

userstring · uuid · nullableOptional
namestring · max: 255Required
connector_typeany ofRequired
stringOptional
or
descriptionstringOptionalDefault: ""
auth_methodstring · max: 255Required
resource_typesstring[]Optional
resource_idstring · max: 255 · nullableOptional
supports_instancesbooleanOptionalDefault: false
expires_atstring · date-time · nullableOptional
expires_skew_toleranceinteger · nullableOptional
expiration_secondsinteger · nullableOptional
Responses
200

Successful Response

application/json

Service connector resources list.

Lists the resource types and resource instances that a service connector can provide access to.

idstring · uuid · nullableOptional
namestring · max: 255 · nullableOptional
connector_typeany ofRequired
stringOptional
or
errorstring · nullableOptional
post/api/v1/service_connectors/verify
POST /api/v1/service_connectors/verify HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 386

{
  "user": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "connector_type": "text",
  "description": "",
  "auth_method": "text",
  "resource_types": [
    "text"
  ],
  "resource_id": "text",
  "supports_instances": false,
  "expires_at": "2026-01-01T00:00:00.000Z",
  "expires_skew_tolerance": 1,
  "expiration_seconds": 1,
  "configuration": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "connector_type": "text",
  "resources": [
    {
      "resource_type": "text",
      "resource_ids": [
        "text"
      ],
      "error": "text"
    }
  ],
  "error": "text"
}

Validate And Verify Service Connector

put

Verifies if a service connector instance has access to one or more resources.

This requires the service connector implementation to be installed on the ZenML server, otherwise a 501 Not Implemented error will be returned.

Args: connector_id: The ID of the service connector to verify. resource_type: The type of resource to verify access to. resource_id: The ID of the resource to verify access to. list_resources: If True, the list of all resources accessible through the service connector and matching the supplied resource type and ID are returned.

Returns: The list of resources that the service connector has access to, scoped to the supplied resource type and ID, if provided.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
connector_idstring · uuidRequired
Query parameters
resource_typestring · nullableOptional
resource_idstring · nullableOptional
list_resourcesbooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Service connector resources list.

Lists the resource types and resource instances that a service connector can provide access to.

idstring · uuid · nullableOptional
namestring · max: 255 · nullableOptional
connector_typeany ofRequired
stringOptional
or
errorstring · nullableOptional
put/api/v1/service_connectors/{connector_id}/verify
PUT /api/v1/service_connectors/{connector_id}/verify HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "connector_type": "text",
  "resources": [
    {
      "resource_type": "text",
      "resource_ids": [
        "text"
      ],
      "error": "text"
    }
  ],
  "error": "text"
}
ZenML Scarf

Last updated

Was this helpful?